Skip to content
ASDF Projects Tutorials Community
Back to top
View this page

# TagDefinition

class asdf.extension.TagDefinition(tag_uri, *, schema_uris=None, title=None, description=None)

  Bases: `object`

  Container for properties of a custom YAML tag.

  Parameters:
    tag_uri str

      Tag URI.

    schema_uris str, optional

      URI of the schema that should be used to validate objects with this tag.

    title str, optional

      Short description of the tag.

    description str, optional

      Long description of the tag.

  Attributes Summary

  `description` | Get the long description of the tag.
  `schema_uris` | Get the URIs of the schemas that should be used to validate objects with this tag.
  `tag_uri` | Get the tag URI.
  `title` | Get the short description of the tag.

  Attributes Documentation

  description

    Get the long description of the tag.

    Returns:
      str or None
  schema_uris

    Get the URIs of the schemas that should be used to validate objects with this tag.

    Returns:
      list
  tag_uri

    Get the tag URI.

    Returns:
      str
  title

    Get the short description of the tag.

    Returns:
      str or None